commit:     ee2da8c7aeeb4e5d1452d09bc783f5bf0f2b2590
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 24 05:51:43 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 24 07:06:52 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee2da8c7

dev-python/flask-htmlmin: Bump to 2.0.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/flask-htmlmin/Manifest                  |  1 +
 .../flask-htmlmin/flask-htmlmin-2.0.2.ebuild       | 33 ++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-python/flask-htmlmin/Manifest 
b/dev-python/flask-htmlmin/Manifest
index 77e7430d0c4..01acbc3c6ea 100644
--- a/dev-python/flask-htmlmin/Manifest
+++ b/dev-python/flask-htmlmin/Manifest
@@ -1 +1,2 @@
 DIST Flask-HTMLmin-1.5.2.tar.gz 3807 BLAKE2B 
226d0ba30ce3c0f0d8077f67d3a56aabf6606ac31858fd051f46203123fdbb2e3707575a91f545b7ec57a1e6f4cf62f87c3d387cc7ec321d7f1f9e4b3c6038fd
 SHA512 
b468b95329054f996ad275b00f58dd2cddf52a029eeb08ff83acc5ef37ff0557af4e98181c445a980da2eeb21dd913ec1da08e0953fb97765d4790731353dcc2
+DIST Flask-HTMLmin-2.0.2.gh.tar.gz 12178 BLAKE2B 
38d21e06058728be9f6a23c8b18dd0f209833723d63bdf07262f37ff0fd6ac0de810bc164bfb6e91ed446e6402f93f204468f9c2307cf45c3a1609361be33992
 SHA512 
ea863644baecdf54d6b0a920ad0cbd84880e6c029a7d5313f0964f03233a74b7d11b3e15431ecf02fc6c33b38241e472968ed1bcad5b8163d14001678a4833e2

diff --git a/dev-python/flask-htmlmin/flask-htmlmin-2.0.2.ebuild 
b/dev-python/flask-htmlmin/flask-htmlmin-2.0.2.ebuild
new file mode 100644
index 00000000000..4a13092ac2d
--- /dev/null
+++ b/dev-python/flask-htmlmin/flask-htmlmin-2.0.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="Flask-HTMLmin"
+MY_P=${MY_PN}-${PV}
+
+PYTHON_COMPAT=( python3_{6..9} )
+inherit distutils-r1
+
+DESCRIPTION="Minimize your flask rendered html"
+HOMEPAGE="https://github.com/hamidfzm/Flask-HTMLmin";
+SRC_URI="
+       https://github.com/hamidfzm/Flask-HTMLmin/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       app-text/htmlmin[${PYTHON_USEDEP}]
+       dev-python/flask[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e '/pytest-runner/d' setup.py || die
+       distutils-r1_src_prepare
+}

Reply via email to